%define upstream_name    Data-Validate-Domain
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Light weight module for validating domains
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::Domain::TLD)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module collects domain validation routines to make input validation,
and untainting easier and more readable.

All functions return an untainted value if the test passes, and undef if it
fails. This means that you should always check for a defined status
explicitly. Don't assume the return will be true. (e.g. is_username('0'))

The value to test is always the first (and often only) argument.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc META.yml Changes README.md
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.110.0-4pclos2017
- rebuild against updates

